function [siginfo,refinfo,cref] = getSigInfo(sig, ref)
    %ref = bp_950_1050(ref);
    %sig = bp_950_1050(sig);
    
    ref = hilbert(ref);
    sig = hilbert(sig);
    
    Fs = 20*1e6;
    nbSamples = 4096;
    
    [cref, cfreq] = pll(ref, length(ref), 0, 5*1e6);
    
    reffreq = sum(cfreq(4096/2:end)) / (4096-4096/2);
    
    pure_ref = hilbert(cos(reffreq * (1:nbSamples)));
    
    mid = length(ref)/8;
     
     refinfo = conv(cref(mid:end), ref(mid:end), 'valid')/(length(ref)-mid);
     siginfo = conv(cref(mid:end), sig(mid:end), 'valid')/(length(ref)-mid);
     
     %refinfo = convoltest(cref(mid:end), ref(mid:end)') / (length(ref)-mid);
     %siginfo = convoltest(cref(mid:end), sig(mid:end)') / (length(ref)-mid);

     %refinfo = conv(pure_ref, ref, 'valid')/length(ref);
     %siginfo = conv(pure_ref, sig, 'valid')/length(ref);
     
end

