function carrier = nopll(sig, len, Fc, Fs)
    powerlist = abs(fft(sig)/len);
    [val,index] = max(powerlist(1:len/2));
    
    freq = index * (Fs/len);
    n = (1:len);
    carrier = hilbert(cos(2*pi*(freq/Fs)*n));
end