function [dmag,dphase] = phase_correlator(ref,sig,fc,fs)

rplen = length(ref);

% Bug in acquisition to fix
ref(1)=0;
sig(1)=0;
ref(rplen)=0;
sig(rplen)=0;

%refsine = exp(2*pi*fc/fs*(1:rplen)*-1i)';

refcos = sin(2*pi*(fc/fs)*(1:rplen))';

refsine = hilbert(refcos);
%refsine = hilbert(sig);
crcos = hilbert(ref);
cscos = hilbert(sig);

cscor = sum(cscos .* refsine)/rplen;    % Compute the DFT of the signal on target frequency only

csphase = atan2(imag(cscor), real(cscor)); % Compute the phase shift in degree

csmag = sqrt(imag(cscor)^2 + real(cscor)^2); % Compute the relative power in linear


crcor = sum(crcos .* refsine)/rplen;    % Compute the DFT of the signal on target frequency only

crphase = atan2(imag(crcor), real(crcor)); % Compute the phase shift in degree

crmag = sqrt(imag(crcor)^2 + real(crcor)^2); % Compute the relative power in linear


%dmag = pow2db(crmag-csmag);

dphase = csphase;% - csphase;

dmag = csmag;% - csmag;

end

