import sys
import serial

BP_PORT = "COM10"

def wcmd(port, cmd):
    port.write(str(cmd+"\n").encode("ascii"))
    for line in port.readlines():
        print(line.decode("utf-8").strip())

ADF_FREQ = 2000

ser = serial.Serial(BP_PORT, 115200, timeout=0.5)
#init bus pirate
wcmd(ser, "#")
wcmd(ser, "m")
wcmd(ser, "5")
wcmd(ser, "1")
wcmd(ser, "1")
wcmd(ser, "2")
wcmd(ser, "1")
wcmd(ser, "2")
wcmd(ser, "2")
#wcmd(ser, "W")
#wcmd(ser, "l")
wcmd(ser, "(1)")
wcmd(ser, "d")

#send conf crap
regs = [ 0x1041C,0x61300B,0xC026BA,0x34064399,0x102D0428,0x120000E7,0x352083F6,0x800025,0x32008B84,0x3,0x40032,0x6155551,0x200510 ]

f = open("regval.txt","r")
i = 0
for l in f:
    regs[i] = int(l, 16)
    i = i + 1

b = ""

i = 12
for i in regs:
    a = "[ 0x{:02X} 0x{:02X} 0x{:02X} 0x{:02X} ]"
    r0 = (i >> 24) & 0xFF
    r1 = (i >> 16) & 0xFF
    r2 = (i >> 8) & 0xFF
    r3 = (i >> 0) & 0xFF
    #print(a.format(r0, r1, r2, r3))
    b = b + a.format(r0, r1, r2, r3)
    i = i - 1
    wcmd(ser, a.format(r0, r1, r2, r3))
    #if(i != 0):
    #wcmd(ser, a.format(r0, r1, r2, r3))

print(b)
#wcmd(ser, b.format(r0, r1, r2, r3))

ser.close()
