
# PlanAhead Launch Script for Post PAR Floorplanning, created by Project Navigator

create_project -name valid_spi_pll -dir "D:/projects/VNACore/fpga/valid_spi_pll/planAhead_run_1" -part xc6slx9tqg144-3
set srcset [get_property srcset [current_run -impl]]
set_property design_mode GateLvl $srcset
set_property edif_top_file "D:/projects/VNACore/fpga/valid_spi_pll/top.ngc" [ get_property srcset [ current_run ] ]
add_files -norecurse { {D:/projects/VNACore/fpga/valid_spi_pll} {chipscope} {cc_fifo} }
add_files [list {chipscope/chipscope_icon.ncf}] -fileset [get_property constrset [current_run]]
add_files [list {chipscope/chipscope_ila.ncf}] -fileset [get_property constrset [current_run]]
add_files [list {cc_fifo/ccfifo.ncf}] -fileset [get_property constrset [current_run]]
add_files [list {cc_fifo/ccfifo2.ncf}] -fileset [get_property constrset [current_run]]
set_property target_constrs_file "top.ucf" [current_fileset -constrset]
add_files [list {top.ucf}] -fileset [get_property constrset [current_run]]
link_design
read_xdl -file "D:/projects/VNACore/fpga/valid_spi_pll/top.ncd"
if {[catch {read_twx -name results_1 -file "D:/projects/VNACore/fpga/valid_spi_pll/top.twx"} eInfo]} {
   puts "WARNING: there was a problem importing \"D:/projects/VNACore/fpga/valid_spi_pll/top.twx\": $eInfo"
}
