#ifndef CSVPARSE_H
#define CSVPARSE_H

#include <iostream>
#include <fstream>
#include <string>
#include <stdint.h>
#include <complex>

#include "../qt_vna/dsp.h"

class CSVParse
{
public:
    CSVParse(char * filePath, bool isComplex);
    ~CSVParse();
    std::complex<double> * signal;
    bool valid = false;

private:
    std::fstream file;
    uint16_t nbLines = 0;

};

#endif // CSVPARSE_H
