#include <QCoreApplication>

#include "csvparse.h"
#include "../qt_vna/dsp.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    std::cout << "Pouet !" << std::endl;
    CSVParse sig1_file("C:\\Users\\nats\\Documents\\project\\VNACore\\dsp\\build-debug_dsp-Desktop_Qt_5_10_0_MinGW_32bit-Debug\\debug\\sig1.csv", true);
    CSVParse sig2_file("C:\\Users\\nats\\Documents\\project\\VNACore\\dsp\\build-debug_dsp-Desktop_Qt_5_10_0_MinGW_32bit-Debug\\debug\\sig1.csv", true);

    std::complex<double> phase_1(0,0);
    std::complex<double> phase_2(0,0);

    if(sig1_file.valid && sig2_file.valid) {
        DSP::pointDFT(sig1_file.signal, sig2_file.signal, 9600, 96000, 1000, &phase_1, &phase_2);
    }

    return a.exec();
}
