close all;
% Phase comparator prototype

Fs = 96000;     % Sampling Freq
Fc = 9600;     % Signal Carrier

Plen = 10;               % Period Length
rplen = round(Fs/Fc * Plen);   % Period Length in Sample
N = [1:rplen];

Ps = 360;            % Phase shit in degree
rps = round((Ps/360) * (Fs/Fc));  % Phase shift in sample

refcos = cos(2*pi*N*(Fc/Fs));
sigcos = cos(2*pi*(N+rps)*(Fc/Fs));

crcos = hilbert(refcos);
cscos = hilbert(sigcos);

crifreq = crcos(2:rplen) .* conj(crcos(1:rplen-1));
csifreq = cscos(2:rplen) .* conj(cscos(1:rplen-1));

crangle = 180 * atan2(imag(crifreq), real(crifreq)) ./ pi;
csangle = 180 * atan2(imag(csifreq), real(csifreq)) ./ pi;

figure();
subplot(2,1,1);
%plot(crangle);
hold on;
plot(refcos);
hold off;

subplot(2,1,2);
%plot(csangle);
hold on;
plot(sigcos);
hold off;

crabsangle = 180 * atan2(imag(crcos), real(crcos))/pi;
csabsangle = 180 * atan2(imag(cscos), real(cscos))/pi;

difference = mean(crabsangle - csabsangle);

figure();
subplot(2,1,1);
hold on;
plot(crabsangle);
plot(csabsangle);
hold off;

subplot(2,1,2);
hold on;
plot(crabsangle - csabsangle);
hold off;