function analytic_signal = myHilb(signal, lpfreq, decimation, dckeep)
    global freqfilt;

    freqsig = fft(signal);
    
    if(not(dckeep))
        freqsig(1) = 0;
    end
    
    fftsplit = floor((length(signal)/2))+1;
    if(mod(length(signal), 2) == 0)
        fftsplit = floor((length(signal)/2));
    end
    
    freqsig(1:fftsplit) = freqsig(1:fftsplit).*2;
    freqsig(fftsplit+2:end) = 0;
    
    freqsig = freqsig/length(signal);
    
%     if(lpfreq < 1)
%         freqfilter = floor((length(signal)/2)*lpfreq);
%         freqsig(freqfilter:fftsplit) = 0;
%     end
    freqsig = freqsig .* freqfilt(1:4096)';
    analytic_signal = ifft(freqsig);
    
%     if(decimation ~= 0)
%         analytic_signal = downsample(analytic_signal, decimation);
%     end
    
end