#ifndef MARKER_H
#define MARKER_H

#include <complex>
#include <stdint.h>

class Marker
{
public:
    Marker();

    void setData(uint64_t freq, std::complex<double> cval);

    uint16_t id = 0;
    double mag = 0.0;
    double arg = 0.0;
    std::complex<double> sval;

    uint64_t freq = 0;
    std::complex<double> cval;
};

#endif // MARKER_H
