#-------------------------------------------------
#
# Project created by QtCreator 2018-02-09T23:35:22
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = qt_vna
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
        mainwindow.cpp \
    adf4355.cpp \
    vnathread.cpp \
    myglwidget.cpp \
    fft_wrap.cpp \
    marker.cpp \
    mysmithwidget.cpp \
    smithwin.cpp \
    ftdiwrap.cpp

HEADERS += \
        mainwindow.h \
    adf4355.h \
    vnathread.h \
    myglwidget.h \
    general.h \
    fft_wrap.h \
    marker.h \
    mysmithwidget.h \
    smithwin.h \
    ftdiwrap.h

FORMS += \
        mainwindow.ui \
    smithwin.ui

win32: LIBS += -L$$PWD/ftdi/amd64/ -lftd2xx
win32: LIBS += -L$$PWD/fftw-3.3.5-64/ -llibfftw3-3 #-llibfftw3f-3 -llibfftw3l-3

unix: LIBS += -L$$PWD/ftdi/linux/build/ -lftd2xx
unix: LIBS += -lfftw3

INCLUDEPATH += $$PWD/ftdi/amd64
DEPENDPATH += $$PWD/ftdi/amd64
